Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.html.dom
Class HTMLDOMImplementationImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--weblogic.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--weblogic.apache.html.dom.HTMLDOMImplementationImpl

public class HTMLDOMImplementationImpl
extends DOMImplementationImpl
implements org.w3c.dom.html.HTMLDOMImplementation

Provides number of methods for performing operations that are independent of any particular instance of the document object model. This class is unconstructable, the only way to obtain an instance of a DOM implementation is by calling the static method `DOMImplementationImpl.getDOMImplementation()`.

See Also:
  `DOMImplementation`

Method Summary
`org.w3c.dom.html.HTMLDocument` | `createHTMLDocument(java.lang.String title)` Create a new HTML document of the specified `TITLE` text.
`static org.w3c.dom.html.HTMLDOMImplementation` | `getHTMLDOMImplementation()` Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g.

Methods inherited from class weblogic.apache.xerces.dom.DOMImplementationImpl
`createDocument, createDocumentType, getDOMImplementation, hasFeature`

Methods inherited from class weblogic.apache.xerces.dom.CoreDOMImplementationImpl
`createDOMBuilder, createDOMInputSource, createDOMWriter, getInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createHTMLDocument

    public final org.w3c.dom.html.HTMLDocument createHTMLDocument(java.lang.String title)
                                                           throws org.w3c.dom.DOMException

  Create a new HTML document of the specified `TITLE` text.
  Specified by:
    createHTMLDocument in interface org.w3c.dom.html.HTMLDOMImplementation

  Parameters:
    `title` - The document title text
  Returns:
    New HTML document

### getHTMLDOMImplementation

    public static org.w3c.dom.html.HTMLDOMImplementation getHTMLDOMImplementation()

  Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g. to create a new document.

  Returns:
    Reference to a valid DOM implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD